## gate
Interface LanguageResource

All Superinterfaces:
  FeatureBearer, NameBearer, Resource, Serializable

All Known Subinterfaces:
  Corpus, Document

All Known Implementing Classes:
  AbstractLanguageResource, DocumentFormat

public interface LanguageResource
extends Resource

Models all sorts of language resources.

Method Summary
`DataStore` `getDataStore()` Get the data store that this LR lives in.
`Object` `getLRPersistenceId()` Returns the persistence id of this LR, if it has been stored in a datastore.
`void` `setDataStore(DataStore dataStore)` Set the data store that this LR lives in.
`void` `setLRPersistenceId(Object lrID)` Sets the persistence id of this LR.
`void` `sync()` Save: synchonise the in-memory image of the LR with the persistent image.

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, init, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Method Detail

### getDataStore

    public DataStore getDataStore()

  Get the data store that this LR lives in. Null for transient LRs.

### setDataStore

    public void setDataStore(DataStore dataStore)
                      throws PersistenceException

  Set the data store that this LR lives in.

### getLRPersistenceId

    public Object getLRPersistenceId()

  Returns the persistence id of this LR, if it has been stored in a datastore. Null otherwise.

### setLRPersistenceId

    public void setLRPersistenceId(Object lrID)

  Sets the persistence id of this LR. To be used only in the Factory and DataStore code.

### sync

    public void sync()
              throws PersistenceException,
                     SecurityException

  Save: synchonise the in-memory image of the LR with the persistent image.